Subject: bug#32954: Cuirass: logs of failing tests are unavailable

From: Clément Lassieur <[email-masked]>
Date: Mon, 08 Oct 2018 15:49:40 +0200

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hello Clément,
>
> Clément Lassieur <[email-masked]> skribis:
>
>> The logs of failing tests are unavailable.
>>
>> (Which makes it impossible to understand why a huge lot of tests are
>> failing.)
>
> You mean the ‘test.basic.x86_64-linux’ etc. jobs, right?
>
> I believe the reason build logs are missing is that those jobs are
> actually in “dependency-failed” state, and not just “failed”.  IOW
> there’s simply no build log available.

I understand, but I would have expected to see a log like the one in
https://bugs.gnu.org/32966.  Wouldn't it be helpful?  Also, is it
difficult to implement?

Clément

> I believe Cuirass commit be489a26c0e6a5f23a48142a87728a0ec8bc3c9c fixes
> this particular defect.
>
> Now we still need a way to determine which dependencies failed.
>
> Thanks,
> Ludo’.